application:setBackgroundColor(0x2c3e50); application:setKeepAwake(true)

--***Add 3 texture packs with skins:
local skin1texturePack = TexturePack.new("pics/skin1.txt", "pics/skin1.png")
local skin2texturePack = TexturePack.new("pics/skin2.txt", "pics/skin2.png")
local skin3texturePack = TexturePack.new("pics/skin3.txt", "pics/skin3.png")
animLoader1 = CTNTAnimatorLoader.new(); animLoader1:loadAnimations("pics/skin1.tan", skin1texturePack, true)
animLoader2 = CTNTAnimatorLoader.new(); animLoader2:loadAnimations("pics/skin2.tan", skin2texturePack, true)
animLoader3 = CTNTAnimatorLoader.new(); animLoader3:loadAnimations("pics/skin3.tan", skin3texturePack, true)

--Add hero to stage:
local hero=Hero.new();
stage:addChild(hero); hero:setPosition(205,290)

--Add 3 buttons (R-G-B) to stage:
local redBtn=colorfulBtn.new("0xe74c3c",40,"R",hero)
local greenBtn=colorfulBtn.new("0x27ae60",190,"G",hero)
local blueBtn=colorfulBtn.new("0x3498db",340,"B",hero)

--Move our hero's y-position with sine waves:
local t,speed=1,.1
stage:addEventListener(Event.ENTER_FRAME, function()
	t+=.3
	hero:setY(30*math.sin(t*speed)+290)
end)